Bug 1422754 - CVE-2016-5139 CVE-2016-5158 CVE-2016-5159 openjpeg2: various flaws [epel-7]
Summary: CVE-2016-5139 CVE-2016-5158 CVE-2016-5159 openjpeg2: various flaws [epel-7]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: openjpeg2
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-5139 CVE-2016-5158 CVE-2016-5159
TreeView+ depends on / blocked
 
Reported: 2017-02-16 05:29 UTC by Doran Moppert
Modified: 2018-03-11 19:43 UTC (History)
1 user (show)

Fixed In Version: openjpeg2-2.3.0-6.el6 openjpeg2-2.3.0-6.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-11 19:43:12 UTC


Attachments (Terms of Use)

Description Doran Moppert 2017-02-16 05:29:15 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Doran Moppert 2017-02-16 05:29:19 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1363982,1372219,1372220

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Doran Moppert 2017-02-16 05:51:48 UTC
Adding parent bug 1372220 (for CVE-2016-5159).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1422754,1363982,1372219,1372220

# Description of your update
notes=Security fix for CVE-2016-5139, CVE-2016-5158, CVE-2016-5159

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 3 Fedora Update System 2018-02-20 14:26:23 UTC
openjpeg2-2.3.0-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6ac908eac8

Comment 4 Fedora Update System 2018-02-20 14:27:35 UTC
openjpeg2-2.3.0-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b7a74678b1

Comment 5 Fedora Update System 2018-02-20 17:36:34 UTC
openjpeg2-2.3.0-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6ac908eac8

Comment 6 Fedora Update System 2018-02-20 17:37:59 UTC
openjpeg2-2.3.0-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b7a74678b1

Comment 7 Fedora Update System 2018-03-11 19:43:12 UTC
openjpeg2-2.3.0-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-03-11 19:43:14 UTC
openjpeg2-2.3.0-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.